#if UNITY_EDITOR
using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(IsleSettings))]
public class PopObjectEditor : Editor {

    public override void OnInspectorGUI() {

        base.OnInspectorGUI();
        IsleSettings myScript = (IsleSettings)target;

        if (!myScript.hasApplied && GUILayout.Button("Apply Isle Settings")) {
            myScript.ApplySettings();
        }
    }
}
#endif